unit quelfichier_attribut;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, ExtCtrls,
  StdCtrls, Buttons;

type

  { TWdAttr }

  TWdAttr = class(TForm)
    Label1: TLabel;
    Label10: TLabel;
    Label11: TLabel;
    Label12: TLabel;
    Label13: TLabel;
    Label14: TLabel;
    Label15: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    PaAt1: TPanel;
    PaAt2: TPanel;
    PaAt3: TPanel;
    PaAt4: TPanel;
    PaAt5: TPanel;
    PaAt6: TPanel;
    Panel1: TPanel;
    Panel2: TPanel;
    Panel3: TPanel;
    SpeedButton1: TSpeedButton;
    SpeedButton10: TSpeedButton;
    SpeedButton2: TSpeedButton;
    procedure FormShow(Sender: TObject);
    procedure PaAt1Click(Sender: TObject);
    procedure PaAt2Click(Sender: TObject);
    procedure PaAt6Click(Sender: TObject);
    procedure SpeedButton10Click(Sender: TObject);
    procedure SpeedButton1Click(Sender: TObject);
    procedure SpeedButton2Click(Sender: TObject);
    procedure SpeedButton6Click(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  WdAttr: TWdAttr;

implementation

uses quelfichier_main;

{$R *.lfm}

{ TWdAttr }

var
  AttrMem:word;

procedure Aff_Attribut;
var
  s: string;
begin
  with WdAttr do
  begin
    s := WdMain.Attribut_Texte(AttrMem);
    //Read Only
    if s[1] = 'R' then
    begin
      PaAt1.Color := ClLime;
      PaAt1.Font.Style := [fsBold];
    end
    else
    begin
      PaAt1.Color := $00F4DCC6;
      PaAt1.Font.Style := [];
    end;
    if s[2] = 'H' then
    begin
      PaAt2.Color := ClLime;
      PaAt2.Font.Style := [fsBold];
    end
    else
    begin
      PaAt2.Color := $00F4DCC6;
      PaAt2.Font.Style := [];
    end;
    if s[3] = 'S' then
    begin
      PaAt3.Color := ClLime;
      PaAt3.Font.Style := [fsBold];
    end
    else
    begin
      PaAt3.Color := $00F4DCC6;
      PaAt3.Font.Style := [];
    end;
    if s[4] = 'V' then
    begin
      PaAt4.Color := ClLime;
      PaAt4.Font.Style := [fsBold];
    end
    else
    begin
      PaAt4.Color := $00F4DCC6;
      PaAt4.Font.Style := [];
    end;
    if s[5] = 'D' then
    begin
      PaAt5.Color := ClLime;
      PaAt5.Font.Style := [fsBold];
    end
    else
    begin
      PaAt5.Color := $00F4DCC6;
      PaAt5.Font.Style := [];
    end;
    if s[6] = 'A' then
    begin
      PaAt6.Color := ClLime;
      PaAt6.Font.Style := [fsBold];
    end
    else
    begin
      PaAt6.Color := $00F4DCC6;
      PaAt6.Font.Style := [];
    end;
  end;
end;

procedure Attr_Calcul;
begin
  AttrMem:=0;
  With WdAttr do begin
    //Read Only
    if PaAt1.Color=clLime then
      AttrMem:=1;
    //Hidden
    if PaAt2.Color=clLime then
      AttrMem:=AttrMem+2;
    //Archive
    if PaAt6.Color=clLime then
      AttrMem:=AttrMem+32;
    if AttrMem=0 then
      AttrMem:=128;
  end;
end;

procedure Valider;
begin
  With WdMain do begin
    Liste[ListeIdxBox].Att:=AttrMem;
    FileSetAttr(Liste[ListeIdxBox].Lst,Liste[ListeIdxBox].Att);
  end;
  WdAttr.Close;
end;

procedure TWdAttr.PaAt1Click(Sender: TObject);
begin
  if PaAt1.Color = ClLime then
    PaAt1.Color := $00F4DCC6
  else
    PaAt1.Color := ClLime;
  Attr_Calcul;
  Panel2.Caption:=IntToStr(AttrMem);
end;

procedure TWdAttr.PaAt2Click(Sender: TObject);
begin
  if PaAt2.Color = ClLime then
    PaAt2.Color := $00F4DCC6
  else
    PaAt2.Color := ClLime;
  Attr_Calcul;
  Panel2.Caption:=IntToStr(AttrMem);
end;

procedure TWdAttr.PaAt6Click(Sender: TObject);
begin
  if PaAt6.Color = ClLime then
    PaAt6.Color := $00F4DCC6
  else
    PaAt6.Color := ClLime;
  Attr_Calcul;
  Panel2.Caption:=IntToStr(AttrMem);
end;

procedure TWdAttr.SpeedButton10Click(Sender: TObject);
begin
  Valider;
end;

procedure TWdAttr.SpeedButton1Click(Sender: TObject);
begin
  WdAttr.Close;
end;

procedure TWdAttr.SpeedButton2Click(Sender: TObject);
begin
  PaAt1.Color := $00F4DCC6;
  PaAt2.Color := $00F4DCC6;
  PaAt6.Color := ClLime;
  Attr_Calcul;
  Panel2.Caption:=IntToStr(AttrMem);
end;

procedure TWdAttr.SpeedButton6Click(Sender: TObject);
begin
  if PaAt6.Color = ClLime then
    PaAt6.Color := $00F4DCC6
  else
    PaAt6.Color := ClLime;
end;

procedure TWdAttr.FormShow(Sender: TObject);
begin
  With WdMain do begin
    WdAttr.Panel3.Caption := ' ' + ExtractFileName(Liste[ListeIdxBox].Lst);
    WdAttr.Panel2.Caption := IntToStr(Liste[ListeIdxBox].Att);
    //Mem Attributs
    AttrMem:=Liste[ListeIdxBox].Att;
  end;
  Aff_Attribut;
end;

end.
