unit quelfichier_date;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, ExtCtrls,
  StdCtrls, ExtDlgs, Buttons;

type

  { TWdDate }

  TWdDate = class(TForm)
    CalendarDialog1: TCalendarDialog;
    Label1: TLabel;
    Label2: TLabel;
    PaDa: TPanel;
    PaDt: TPanel;
    Panel1: TPanel;
    SpeedButton1: TSpeedButton;
    SpeedButton2: TSpeedButton;
    SpeedButton3: TSpeedButton;
    procedure FormShow(Sender: TObject);
    procedure SpeedButton1Click(Sender: TObject);
    procedure SpeedButton2Click(Sender: TObject);
    procedure SpeedButton3Click(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  WdDate: TWdDate;

implementation

Uses quelfichier_main;

{$R *.lfm}

{ TWdDate }

var
  DateModif:TDateTime;

procedure ChangeDateOfFile(fileName: string; NewDate: TDateTime);
var
  f: file;
begin
  AssignFile(f, fileName);
  Reset(f);
  if FileSetDate(TFileRec(f).Handle, DateTimeToFileDate(NewDate))=0  then
  begin
    Close(f);
    WdDate.PaDt.Color:=ClLime;
    Application.ProcessMessages;
    Sleep(1000);
    WdDate.Close;
  end;
end;

procedure TWdDate.SpeedButton1Click(Sender: TObject);
var
  HH,MM,SS,MS: Word;
begin
  if CalendarDialog1.Execute then begin
    DateModif:=CalendarDialog1.Date+0.00004;
    PaDt.Caption:=DateToStr(DateModif);
    DecodeTime(DateModif,HH,MM,SS,MS);
    PaDt.Color:=$00B3B3FF;
  end;
end;

procedure TWdDate.SpeedButton2Click(Sender: TObject);
begin
  ChangeDateOfFile(WdMain.Liste[WdMain.ListeIdxBox].Lst, DateModif);
end;

procedure TWdDate.SpeedButton3Click(Sender: TObject);
begin
  WdDate.Close;
end;

procedure TWdDate.FormShow(Sender: TObject);
begin
  PaDt.Caption:='';
  PaDt.Color:=ColRouge_;
  With WdMain do
    WdDate.PaDa.caption:=DateTimeToStr(FileDateToDateTime(Liste[ListeIdxBox].Tmp));
end;

end.

