unit quelfichier_fichier;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, ExtCtrls,
  StdCtrls, Buttons;

type

  { TWdFichier }

  TWdFichier = class(TForm)
    EdModif: TEdit;
    Label1: TLabel;
    Panel1: TPanel;
    SpeedButton1: TSpeedButton;
    SpeedButton2: TSpeedButton;
    procedure FormShow(Sender: TObject);
    procedure SpeedButton1Click(Sender: TObject);
    procedure SpeedButton2Click(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  WdFichier: TWdFichier;

implementation

Uses quelfichier_main;

{$R *.lfm}

{ TWdFichier }

procedure TWdFichier.SpeedButton1Click(Sender: TObject);
var
  f1,f2:String;
begin
  f1:=ExtractFilename(WdMain.Liste[WdMain.ListeIdxBox].Lst);
  f2:=EdModif.Text;
  if f1<>f2 then begin
    if WdMain.Fichier_renommer(EdModif.Text) then begin
      EdModif.Color:=ClLime;
      Sleep(800);
      WdFichier.Close;
    end;
  end else begin
    EdModif.Color:=$00B3B3FF;
    ShowMessage('Le nom du fichier n''a pas été modifié.');
  end;
end;

procedure TWdFichier.SpeedButton2Click(Sender: TObject);
begin
  WdFichier.Close;
end;

procedure TWdFichier.FormShow(Sender: TObject);
begin
  EdModif.Color:=$00F4DCC6;
  EdModif.Text:=ExtractFileName(WdMain.Liste[WdMain.ListeIdxBox].Lst);
end;
end.

